#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Manip
Summary:	Date::Manip - date manipulation routines
Summary(pl.UTF-8):	Date::Manip - procedury do operowania na datach
Name:		perl-Date-Manip
Version:	6.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Date/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da85d48de8de695d67d0107a477fd501
URL:		http://search.cpan.org/dist/Date-Manip/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Inter
BuildRequires:	perl-YAML-Syck
%endif
Obsoletes:	perl-DateManip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module Date::Manip contains a set of routines designed to make
any common date/time manipulation easy to do. Operations such as
comparing two times, calculating a time a given amount of time from
another, or parsing international times are all easily done.

%description -l pl.UTF-8
Moduł Perla Date::Manip zawiera zbiór procedur zaprojektowanych, aby
ułatwić często wykonywane operacje na datach/czasie. Operacje takie
jak porównywanie dwóch czasów, obliczanie czasu następującego po
zadanej ilości czasu od innego czasu, analiza czasów z podaną strefą
czasową - wszystkie łatwo wykonać.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Date/{Manip,Manip/*,Manip/Lang/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.first
%attr(755,root,root) %{_bindir}/dm_date
%attr(755,root,root) %{_bindir}/dm_zdump
%{perl_vendorlib}/Date/Manip.pm
%dir %{perl_vendorlib}/Date/Manip
%{perl_vendorlib}/Date/Manip/*.pm
%dir %{perl_vendorlib}/Date/Manip/Lang
%{perl_vendorlib}/Date/Manip/Lang/*.pm
%dir %{perl_vendorlib}/Date/Manip/Offset
%{perl_vendorlib}/Date/Manip/Offset/*.pm
%dir %{perl_vendorlib}/Date/Manip/TZ
%{perl_vendorlib}/Date/Manip/TZ/*.pm
%{_mandir}/man1/dm_date.1p.gz
%{_mandir}/man1/dm_zdump.1p.gz
%{_mandir}/man3/Date::Manip*.3pm*
%changelog
* Thu Sep 10 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Date-Manip.git;a=log;h=4b4993542cb017565ae6e153f9ae46c2544eef9d

* Wed Sep 09 2015 Marcin Krol <hawk@tld-linux.org> 4b49935
- updated to 6.51

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 34db8aa
- up to 6.50

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> bc077be
- versioned ExtUtils::MakeMaker BR

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ea80a17
- up to 6.48

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a2417da
- up to 6.24

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 713fdb9
- package dm_{date,zdump} utilities

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ffecb44
- up to 6.41

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 567c2a1
- enabled tests

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> df11be8
- Up to 6.32

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> ddece50
- Up to 6.30

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 9d9776b
- Up to 6.23

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> e544924
- Up to 6.22

* Fri Feb 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 58cac7f
- files cleanup

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> e8ab11e
- Up to 6.21

* Mon Jan 10 2011 Caleb Maclennan <caleb@alerque.com> 07dc917
- Up to 6.20

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> d29027b
- Up to 6.14

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> d845679
- updated to 6.07

* Thu Nov 26 2009 amateja <amateja@pld-linux.org> c94588a
- updated to 6.04
- changed Source0 URL
- packaged new files

* Tue Mar 04 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> d1d586a
- rel.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8b80bcf
- tabs in preamble

